## org.apache.fop.pdf
Class PDFCMap

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFStream
                  |
                  +--org.apache.fop.pdf.PDFCMap

public class PDFCMap
extends PDFStream

class representing the CMap encodings. CMaps are defined on page 215 and onwards. The predefined CMap names are drawn from Table 7.20 on pages 215, 216 and 217 .

Field Summary
`static java.lang.String` `_83pv_RKSJ_H` Japanese
`static java.lang.String` `_90ms_RKSJ_H`
`static java.lang.String` `_90ms_RKSJ_V`
`static java.lang.String` `_90msp_RKSJ_H`
`static java.lang.String` `_90msp_RKSJ_V`
`static java.lang.String` `_90pv_RKSJ_H`
`static java.lang.String` `Add_RKSJ_H`
`static java.lang.String` `Add_RKSJ_V`
`static java.lang.String` `B5pc_H` Chinese (traditional)
`static java.lang.String` `B5pc_V`
`protected java.lang.Object` `base` base CMap (String or PDFStream)
`static java.lang.String` `CNS_EUC_H`
`static java.lang.String` `CNS_EUC_V`
`static java.lang.String` `ETen_B5_H`
`static java.lang.String` `ETen_B5_V`
`static java.lang.String` `ETenms_B5_H`
`static java.lang.String` `ETenms_B5_V`
`static java.lang.String` `EUC_H`
`static java.lang.String` `EUC_V`
`static java.lang.String` `Ext_RKSJ_H`
`static java.lang.String` `Ext_RKSJ_V`
`static java.lang.String` `GB_EUC_H` Chinese (simplified)
`static java.lang.String` `GB_EUC_V`
`static java.lang.String` `GBK_EUC_H`
`static java.lang.String` `GBK_EUC_V`
`static java.lang.String` `GBpc_EUC_H`
`static java.lang.String` `GBpc_EUC_V`
`static java.lang.String` `H`
`static java.lang.String` `Identity_H` Generic
`static java.lang.String` `Identity_V`
`static java.lang.String` `KSC_EUC_H` Korean
`static java.lang.String` `KSC_EUC_V`
`static java.lang.String` `KSCms_UHC_H`
`static java.lang.String` `KSCms_UHC_HW_H`
`static java.lang.String` `KSCms_UHC_HW_V`
`static java.lang.String` `KSCms_UHC_V`
`static java.lang.String` `KSCpc_EUC_H`
`protected java.lang.String` `name` /CMapName attribute, one of the predefined constants
`protected PDFCIDSystemInfo` `sysInfo` /CIDSystemInfo attribute
`static java.lang.String` `UniCNS_UCS2_H`
`static java.lang.String` `UniCNS_UCS2_V`
`static java.lang.String` `UniGB_UCS2_H`
`static java.lang.String` `UniGB_UCS2_V`
`static java.lang.String` `UniJIS_UCS2_H`
`static java.lang.String` `UniJIS_UCS2_HW_H`
`static java.lang.String` `UniJIS_UCS2_HW_V`
`static java.lang.String` `UniJIS_UCS2_V`
`static java.lang.String` `UniKSC_UCS2_H`
`static java.lang.String` `UniKSC_UCS2_V`
`static java.lang.String` `V`
`protected byte` `wMode` font's writing direction
`static byte` `WMODE_HORIZONTAL` horizontal writing direction
`static byte` `WMODE_VERTICAL` vertical writing direction

Fields inherited from class org.apache.fop.pdf.PDFStream
`_data`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFCMap(int number, java.lang.String name, PDFCIDSystemInfo sysInfo)` create the /CMap object

Method Summary
`void` `fillInPDF(java.lang.StringBuffer p)`
`void` `setUseCMap(PDFStream base)` set the base CMap
`void` `setUseCMap(java.lang.String base)` set the base CMap
`void` `setWMode(byte mode)` set the writing direction

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, addDefaultFilters, addFilter, addFilter, addImageArray, applyFilters, getData, getDataLength, output, outputStreamData, setData, toPDF`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GB_EUC_H

    public static final java.lang.String GB_EUC_H

  Chinese (simplified)

### GB_EUC_V

    public static final java.lang.String GB_EUC_V

### GBpc_EUC_H

    public static final java.lang.String GBpc_EUC_H

### GBpc_EUC_V

    public static final java.lang.String GBpc_EUC_V

### GBK_EUC_H

    public static final java.lang.String GBK_EUC_H

### GBK_EUC_V

    public static final java.lang.String GBK_EUC_V

### UniGB_UCS2_H

    public static final java.lang.String UniGB_UCS2_H

### UniGB_UCS2_V

    public static final java.lang.String UniGB_UCS2_V

### B5pc_H

    public static final java.lang.String B5pc_H

  Chinese (traditional)

### B5pc_V

    public static final java.lang.String B5pc_V

### ETen_B5_H

    public static final java.lang.String ETen_B5_H

### ETen_B5_V

    public static final java.lang.String ETen_B5_V

### ETenms_B5_H

    public static final java.lang.String ETenms_B5_H

### ETenms_B5_V

    public static final java.lang.String ETenms_B5_V

### CNS_EUC_H

    public static final java.lang.String CNS_EUC_H

### CNS_EUC_V

    public static final java.lang.String CNS_EUC_V

### UniCNS_UCS2_H

    public static final java.lang.String UniCNS_UCS2_H

### UniCNS_UCS2_V

    public static final java.lang.String UniCNS_UCS2_V

### _83pv_RKSJ_H

    public static final java.lang.String _83pv_RKSJ_H

  Japanese

### _90ms_RKSJ_H

    public static final java.lang.String _90ms_RKSJ_H

### _90ms_RKSJ_V

    public static final java.lang.String _90ms_RKSJ_V

### _90msp_RKSJ_H

    public static final java.lang.String _90msp_RKSJ_H

### _90msp_RKSJ_V

    public static final java.lang.String _90msp_RKSJ_V

### _90pv_RKSJ_H

    public static final java.lang.String _90pv_RKSJ_H

### Add_RKSJ_H

    public static final java.lang.String Add_RKSJ_H

### Add_RKSJ_V

    public static final java.lang.String Add_RKSJ_V

### EUC_H

    public static final java.lang.String EUC_H

### EUC_V

    public static final java.lang.String EUC_V

### Ext_RKSJ_H

    public static final java.lang.String Ext_RKSJ_H

### Ext_RKSJ_V

    public static final java.lang.String Ext_RKSJ_V

### H

    public static final java.lang.String H

### V

    public static final java.lang.String V

### UniJIS_UCS2_H

    public static final java.lang.String UniJIS_UCS2_H

### UniJIS_UCS2_V

    public static final java.lang.String UniJIS_UCS2_V

### UniJIS_UCS2_HW_H

    public static final java.lang.String UniJIS_UCS2_HW_H

### UniJIS_UCS2_HW_V

    public static final java.lang.String UniJIS_UCS2_HW_V

### KSC_EUC_H

    public static final java.lang.String KSC_EUC_H

  Korean

### KSC_EUC_V

    public static final java.lang.String KSC_EUC_V

### KSCms_UHC_H

    public static final java.lang.String KSCms_UHC_H

### KSCms_UHC_V

    public static final java.lang.String KSCms_UHC_V

### KSCms_UHC_HW_H

    public static final java.lang.String KSCms_UHC_HW_H

### KSCms_UHC_HW_V

    public static final java.lang.String KSCms_UHC_HW_V

### KSCpc_EUC_H

    public static final java.lang.String KSCpc_EUC_H

### UniKSC_UCS2_H

    public static final java.lang.String UniKSC_UCS2_H

### UniKSC_UCS2_V

    public static final java.lang.String UniKSC_UCS2_V

### Identity_H

    public static final java.lang.String Identity_H

  Generic

### Identity_V

    public static final java.lang.String Identity_V

### name

    protected java.lang.String name

  /CMapName attribute, one of the predefined constants

### sysInfo

    protected PDFCIDSystemInfo sysInfo

  /CIDSystemInfo attribute

### WMODE_HORIZONTAL

    public static final byte WMODE_HORIZONTAL

  horizontal writing direction

### WMODE_VERTICAL

    public static final byte WMODE_VERTICAL

  vertical writing direction

### wMode

    protected byte wMode

  font's writing direction

### base

    protected java.lang.Object base

  base CMap (String or PDFStream)

Constructor Detail

### PDFCMap

    public PDFCMap(int number,
                   java.lang.String name,
                   PDFCIDSystemInfo sysInfo)

  create the /CMap object
  Parameters:
    `name` - one the registered names (see Table 7.20 on p 215)
    `sysInfo` - the attributes of the character collection of the CIDFont

Method Detail

### setWMode

    public void setWMode(byte mode)

  set the writing direction
  Parameters:
    `mode` - is either `WMODE_HORIZONTAL` or `WMODE_VERTICAL`

### setUseCMap

    public void setUseCMap(java.lang.String base)

  set the base CMap
  Parameters:
    `base` - the name of the base CMap (see Table 7.20)

### setUseCMap

    public void setUseCMap(PDFStream base)

  set the base CMap
  Parameters:
    `base` - the stream to be used as base CMap

### fillInPDF

    public void fillInPDF(java.lang.StringBuffer p)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.